Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class ValueType

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ValueType

public final class ValueType
extends Object

An enumeration of the values for a `<value>` element's `type` attribute.

Field Summary
`static ValueType` | `COUNTER` counter
`static ValueType` | `DN` dn
`static ValueType` | `INT` int
`static ValueType` | `INTERVAL` interval
`static ValueType` | `OCTET` octet
`static ValueType` | `STATE` state
`static ValueType` | `STRING` string
`static ValueType` | `STRUCTURED` structured
`static ValueType` | `TELENUMBER` telenumber
`static ValueType` | `TIME` time

Method Summary
`boolean` | `equals(Object someType)` Compares this type to `someType`.
`boolean` | `equals(String someType)` Compares this type to `someType`.
`String` | `toString()` Returns a string representation of this version (e.g., "dn", "octet", "string").

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRING

    public static final ValueType STRING

  string

### TELENUMBER

    public static final ValueType TELENUMBER

  telenumber

### INT

    public static final ValueType INT

  int

### STATE

    public static final ValueType STATE

  state

### COUNTER

    public static final ValueType COUNTER

  counter

### DN

    public static final ValueType DN

  dn

### INTERVAL

    public static final ValueType INTERVAL

  interval

### OCTET

    public static final ValueType OCTET

  octet

### TIME

    public static final ValueType TIME

  time

### STRUCTURED

    public static final ValueType STRUCTURED

  structured

Method Detail

### toString

    public String toString()

  Returns a string representation of this version (e.g., "dn", "octet", "string").

  Returns:
    will not return `null`

### equals

    public boolean equals(Object someType)

  Compares this type to `someType`.

  Parameters:
    `someType` - may be `null`
  Returns:
    `true`:
      if `someType` is equal to this type
    `false`:
      if `someType` is not equal to this type

### equals

    public boolean equals(String someType)

  Compares this type to `someType`.

  Parameters:
    `someType` - may be `null`
  Returns:
    `true`:
      if `someType` is equal to this type
    `false`:
      if `someType` is not equal to this type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD